commit:     d03e64e235cabf050aa9a548ad4c75d00ba29b68
Author:     Hans de Graaff <graaff <AT> gentoo <DOT> org>
AuthorDate: Tue Jul  6 19:47:38 2021 +0000
Commit:     Hans de Graaff <graaff <AT> gentoo <DOT> org>
CommitDate: Tue Jul  6 19:47:38 2021 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=d03e64e2

dev-ruby/addressable: add 2.8.0

Package-Manager: Portage-3.0.20, Repoman-3.0.2
Signed-off-by: Hans de Graaff <graaff <AT> gentoo.org>

 dev-ruby/addressable/Manifest                 |  1 +
 dev-ruby/addressable/addressable-2.8.0.ebuild | 42 +++++++++++++++++++++++++++
 2 files changed, 43 insertions(+)

diff --git a/dev-ruby/addressable/Manifest b/dev-ruby/addressable/Manifest
index 1025493d026..993a5a8e10d 100644
--- a/dev-ruby/addressable/Manifest
+++ b/dev-ruby/addressable/Manifest
@@ -1,2 +1,3 @@
 DIST addressable-2.6.0.gem 104448 BLAKE2B 
664365962533d31786e2a362b61879fee544867b7aadc2ceb1ae6709374015a7f0f5c0bd32a81c8f2ae711a4ce1a07cd8f84821e74c3b6aa56b7474800567737
 SHA512 
71aa0ce8b61a07c1d01298dcd29cb2ba73d06ed1578908cae60351214f7d0bc6c9b8b0db7a78044fb1bed258bf00f2f093aa4e2bcb32575f4db2a79ee36b2648
 DIST addressable-2.7.0.gem 104960 BLAKE2B 
4bca65d54ef1d3556cf4017ae68082635c0398b6f604eb3edc18da8f8e1e49e38b46485a8716da3c407fe0605dcc9a12c7a95be49a91c4198c2e2b1cab568805
 SHA512 
4c438bbfa8874fdcf11eef1d1f7cceb1855ea85948daff13615a0af129d35f92cc918f4bd5bbe4cd6ebccc67a86fc582265f915dc39831ec64209de0bdeeb732
+DIST addressable-2.8.0.gem 105984 BLAKE2B 
82f053c9ad052ce1ed1b6927674bd5bcda86a3f70d46b63bfc1185d51b402996fd446647d705418791c5443a1767b4ecd0b891f26de63fbe737c62f7586bd57c
 SHA512 
c684f17940f717c2a65f9716ab9b3659948d6d51a60c38a7295fcf6fdc1c5785d2d315d2de7dab9f66a6c31f62247177d78d5d6eb556f5bb49926d4f00f8e4c8

diff --git a/dev-ruby/addressable/addressable-2.8.0.ebuild 
b/dev-ruby/addressable/addressable-2.8.0.ebuild
new file mode 100644
index 00000000000..444a23a8b9e
--- /dev/null
+++ b/dev-ruby/addressable/addressable-2.8.0.ebuild
@@ -0,0 +1,42 @@
+# Copyright 1999-2021 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=7
+USE_RUBY="ruby25 ruby26 ruby27 ruby30"
+
+RUBY_FAKEGEM_RECIPE_TEST="rspec3"
+
+RUBY_FAKEGEM_EXTRADOC="README.md CHANGELOG.md"
+
+RUBY_FAKEGEM_EXTRAINSTALL="data"
+
+inherit ruby-fakegem
+
+DESCRIPTION="A replacement for the URI implementation that is part of Ruby's 
standard library"
+HOMEPAGE="https://rubygems.org/gems/addressable 
https://github.com/sporkmonger/addressable";
+
+LICENSE="Apache-2.0"
+
+SLOT="0"
+KEYWORDS="~amd64 ~arm ~arm64 ~hppa ~ppc ~ppc64 ~sparc ~x86 ~amd64-linux 
~x86-linux ~ppc-macos ~x64-macos ~x64-solaris ~x86-solaris"
+IUSE="doc test"
+
+ruby_add_rdepend "|| ( dev-ruby/public_suffix:4 dev-ruby/public_suffix:3 )"
+
+ruby_add_bdepend "test? ( dev-ruby/rspec-its )"
+
+all_ruby_prepare() {
+       # Remove spec-related tasks so that we don't need to require rspec
+       # just to build the documentation, bug 383611.
+       sed -i -e '/spectask/d' Rakefile || die
+       rm -f tasks/rspec.rake || die
+       sed -i -e '/bundler/ s:^:#:' \
+               -e '/^begin/,/^end/ s:^:#:' \
+               spec/spec_helper.rb || die
+
+       # Remove specs requiring network connectivity
+       rm -f spec/addressable/net_http_compat_spec.rb || die
+
+       # Remove spec that tests against an unreleased github fork
+       rm -f spec/addressable/rack_mount_compat_spec.rb || die
+}

Reply via email to